{ config, lib, pkgs, ... }:

with lib;

{
  environment.etc = mkIf (elem "etcfiles" config.machine.conffiles) {
    "i3/config".source = ./etc/i3/config;
    "i3/py3status".source = ./etc/i3/py3status;
    "mpv/input.conf".source = ./etc/mpv/input.conf;
    "mpv/mpv.conf".source = ./etc/mpv/mpv.conf;
    "youtube-dl.conf".source = ./etc/youtube-dl.conf;
  };

  environment.variables = mkIf (elem "etcvars" config.machine.conffiles) {
    EDITOR="emacsclient -ca nano";
    NIXPKGS_ALLOW_UNFREE="1";
    WINEDLLOVERRIDES="winemenubuilder.exe=d";
    LC_CTYPE="zh_CN.UTF-8";
  };
}
